Subject: Re: Successful build of GCC 4.2.0 RC3 on latest Cygwin snapshot 20070427
From: "Aaron Gray" <[email-masked]>
To: "Aaron W. LaFramboise" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Wed, 9 May 2007 13:48:48 +0100
List-Id: <cygwin.cygwin.com>

> Aaron Gray wrote:
> 
>>> One issue that might affect many some is that COM doesn't work. 
>>> <http://gcc.gnu.org/bugzilla/show_bug.cgi?id=27067> has a patch that 
>>> is pending review I guess, but probably won't go into 4.2.
> 
>> Does this effect XPCOM meaning Mozilla and friends will not compile ?
> 
> It is triggered anywhere multiple inheritance is combined with stdcall. 
>  Since I believe XPCOM uses stdcall on Windows (but "cdecl" on other 
> targets), I believe the answer here is 'Yes, Mozilla will not compile.'

But its fine on Unix platforms, that is good.

I am not sure if MinGW will/is used to compile Mozilla on Windows anyway.
 
> I think it's likely that mingw.org will include this fix in their own 
> releases of 4.2, which is probably a bad thing, as it makes the need to 
> get this fix into official GCC sources seem less urgent.  A lot of GCC 
> patches for Windows-related issues tend to stall for a long time in this 
> state; I'm not really sure why.

Yes, this is perplexing.

Aaron

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/